Debian Bug report logs - #576573
check config tree also on updates

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Geert Stappers <stappers@stappers.nl>

Date: Mon, 5 Apr 2010 19:06:01 UTC

Severity: minor

Found in version live-helper/2.0~a9-1

Fixed in version live-helper/2.0~a10-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#576573; Package live-helper. (Mon, 05 Apr 2010 19:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 05 Apr 2010 19:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: submit@bugs.debian.org
Subject: live-helper: config: bogus architecture checking
Date: Mon, 5 Apr 2010 21:02:47 +0200
[Message part 1 (text/plain, inline)]
Package: live-helper
Version:  2.0~a9-1

Hello,

Live-helper config does bogus checking on architecture.

To me it seems it only checks during "create" of the config tree

Please check architecture also during "update"


Demostration:

|stappers@inertia:/tmp
|$ mkdir qed
|stappers@inertia:/tmp
|$ cd qed
|stappers@inertia:/tmp/qed
|$ sudo lh config --architecture i486
|P: Considering defaults defined in /etc/default/live-helper
|E: Architecture i486 not yet supported (FIXME)
|stappers@inertia:/tmp/qed
|$ ls
|stappers@inertia:/tmp/qed
|$ sudo lh config --architecture i386
|P: Considering defaults defined in /etc/default/live-helper
|P: Creating config tree
|stappers@inertia:/tmp/qed
|$ ls
|auto  config
|stappers@inertia:/tmp/qed
|$ grep -ri architecture *
|config/bootstrap:# $LH_ARCHITECTURE: select chroot architecture
|config/bootstrap:LH_ARCHITECTURE="i386"
|stappers@inertia:/tmp/qed
|$ sudo lh config --architecture i486
|P: Considering defaults defined in /etc/default/live-helper
|P: Updating config tree
|stappers@inertia:/tmp/qed
|$ grep -ri architecture *
|config/bootstrap:# $LH_ARCHITECTURE: select chroot architecture
|config/bootstrap:LH_ARCHITECTURE="i486"
|stappers@inertia:/tmp/qed
|$ 


Regards
Geert Stappers

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'check config tree also on updates' from 'live-helper: config: bogus architecture checking' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 05 Apr 2010 20:06:09 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 05 Apr 2010 20:06:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 05 Apr 2010 20:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#576573; Package live-helper. (Mon, 05 Apr 2010 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 05 Apr 2010 20:21:05 GMT) Full text and rfc822 format available.

Message #16 received at 576573@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Geert Stappers <stappers@stappers.nl>
Cc: 576573@bugs.debian.org
Subject: Re: Bug#576573: live-helper: config: bogus architecture checking
Date: Mon, 05 Apr 2010 22:04:10 +0200
retitle 576573 check config tree also on updates
severity 576573 minor
tag 576573 pending

On 04/05/2010 09:02 PM, Geert Stappers wrote:
> To me it seems it only checks during "create" of the config tree
>
> Please check architecture also during "update"

there are two things here:

first, lh_config should call Check_defaults(); twice, once when reading 
in the config, once when writing. this is now done in git.

second, this is what you have reported, is about the user setting a 
wrong architecture. this is not really fixable without having to 
hardcode a fixed list of possible architectures, so there's nothing i 
can do about it (and hardcoding the architecture list is kind of bad).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 09 Apr 2010 19:51:13 GMT) Full text and rfc822 format available.

Notification sent to Geert Stappers <stappers@stappers.nl>:
Bug acknowledged by developer. (Fri, 09 Apr 2010 19:51:13 GMT) Full text and rfc822 format available.

Message #21 received at 576573-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 576573-close@bugs.debian.org
Subject: Bug#576573: fixed in live-helper 2.0~a10-1
Date: Fri, 09 Apr 2010 19:47:31 +0000
Source: live-helper
Source-Version: 2.0~a10-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a10-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a10-1.diff.gz
live-helper_2.0~a10-1.dsc
  to main/l/live-helper/live-helper_2.0~a10-1.dsc
live-helper_2.0~a10-1_all.deb
  to main/l/live-helper/live-helper_2.0~a10-1_all.deb
live-helper_2.0~a10.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 576573@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 09 Apr 2010 21:29:10 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a10-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 576573
Changes: 
 live-helper (2.0~a10-1) unstable; urgency=low
 .
   * Updating appending of union boot paramater to only append, when
     we're not using aufs.
   * Adding -r, --repositories option to select preconfigured third-party
     repositories more easily.
   * Making handling of cache/packages_bootstrap a bit more error proove,
     thanks to Michal Suchanek <michal.suchanek@ruk.cuni.cz> for bringing
     it up.
   * Adding special hack to prevent samhain from initializing.
   * Removing powerpc condition on gnu-fdisk recommends.
   * Calling Check_defaults twice in lh_config, once when we initialize
     and once when the modified configuration is written (Closes:
     #576573).
   * Correcting spelling typo in previous changelog entry.
   * Adding gdb to rescue list.
   * Updating Man function to work with lh as wrapper.
Checksums-Sha1: 
 928cdb4abd9307918864654b1af377d4d5bc4172 1249 live-helper_2.0~a10-1.dsc
 ad1bf5897b963030c0609f19b88c2408fc06c9c6 2248774 live-helper_2.0~a10.orig.tar.gz
 c73e67a3eb94d72e848a8261924445289315954f 30396 live-helper_2.0~a10-1.diff.gz
 16c9141e66558c93c261bafaa5199cb74c117e38 1120146 live-helper_2.0~a10-1_all.deb
Checksums-Sha256: 
 01c19142326bb8b495c088ee8f5fadfe4cde25ba22f1dd4f986ab18e09e90db5 1249 live-helper_2.0~a10-1.dsc
 d1772d177d174432280c8ef10f6849d70288d1f7e7058bf88c04284c6f2d3922 2248774 live-helper_2.0~a10.orig.tar.gz
 d2900b2bad28b7e7218a4f5ec3de4926708df8c71d766a1d6e9510c50bd40491 30396 live-helper_2.0~a10-1.diff.gz
 a58a41624f3a6f631cd6871b1037e691f4c94161c957bb49c3847a68a75e7e74 1120146 live-helper_2.0~a10-1_all.deb
Files: 
 2aec73bca87a9abc852a16181cb538fd 1249 misc optional live-helper_2.0~a10-1.dsc
 718816300dcd5c7432d54c4dade79743 2248774 misc optional live-helper_2.0~a10.orig.tar.gz
 71edeb15e02e55b34121545bbc89272d 30396 misc optional live-helper_2.0~a10-1.diff.gz
 f202c44ea3e87ba1b853905b0b25eaff 1120146 misc optional live-helper_2.0~a10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAku/gVYACgkQ+C5cwEsrK57LzgCg4QY9LWr/Azz4zvIe5E5KVe19
5cAAnRkysn/JZ1EvrNuXnKhAqTYAj0Cm
=YnY3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 May 2010 07:38:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:05:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.